saga (8.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Dec 2022 09:17:29 +0100

saga (8.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Dec 2022 16:30:32 +0100

saga (8.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 11:46:48 +0100

saga (8.4.0+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Update build dependencies for wxwidgets3.2.
    (closes: #1019762)
  * Update lintian overrides.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Update copyright for clipper

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 25 Oct 2022 13:46:55 +0200

saga (8.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches (applied upstream)
  * Skip running autoreconf during build

 -- Johan Van de Wauw <johan@gisky.be>  Thu, 16 Jun 2022 10:06:47 +0200

saga (8.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch support GDAL 3.5.0 Multi-Arch path in FindGDAL.cmake.
    (closes: #1012675)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jun 2022 17:24:11 +0200

saga (8.2.1+dfsg-2) unstable; urgency=medium

  * Add fix for saga_cmd which was not finding modules

 -- Johan Van de Wauw <johan@gisky.be>  Tue, 31 May 2022 09:46:21 +0200

saga (8.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 May 2022 06:55:17 +0200

saga (8.2.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * New upstream release.
  * Watch for any version of saga
  * Adjust excluded paths in d/copyright
  * Switch packaging to CMake.

  [ Bas Couwenberg ]
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 May 2022 19:20:12 +0200

saga (7.3.0+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add patch by Adrian Bunk to fix FTBFS with python3.10.
    (closes: #1009417)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 May 2022 20:34:47 +0200

saga (7.3.0+dfsg-7) unstable; urgency=medium

  * Remove libvigra-impex dependency (and module)

 -- Johan Van de Wauw <johan@gisky.be>  Wed, 15 Dec 2021 09:12:00 +0100

saga (7.3.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add pkg-config to build dependencies.
    (closes: #997045)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Oct 2021 07:34:51 +0200

saga (7.3.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes.
  * Override dh_python3 to use --no-ext-rename to fix broken symlink.
    (closes: #988674)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Jun 2021 07:12:36 +0200

saga (7.3.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Add patch by Timo Röhling to fix FTBFS with Qhull 2019.1.
    (closes: #956461)
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Apr 2020 20:38:04 +0200

saga (7.3.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop obsolete libsaga transitional package.
    (closes: #940781)
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop OpenCV support.
    (closes: #922593)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Oct 2019 18:09:48 +0200

saga (7.3.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #933464)
  * Update lintian override for spelling-error-in-binary.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 Sep 2019 12:44:30 +0200

saga (7.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2019 19:06:03 +0200

saga (7.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update repackaging comment
    - Update paths for moved files
    - Drop idw source files, removed upstream
    - Add license & copyright for new files
  * Add patch to fix spelling errors.
  * Switch to Python 3.

  [ Johan Van de Wauw ]
  * Also watch for new LTR release
  * Adjust files-excluded paths
  * New upstream version 7.3.0+dfsg
    (closes: #931941)
  * Use system version of svm
  * Bump saga api packages to new version
  * Add libdxf patch

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Jul 2019 13:06:02 +0200

saga (2.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add upstream patches to update AppStream metadata for non-legacy format.
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.
  * Drop unused libogdi-3.2-dev build dependency.
  * Update gbp.conf to use --source-only-changes by default.
  * Add DEP-3 headers to fixwikilink.patch.
  * Add license & copyright for AppStream metadata.

  [ Johan Van de Wauw ]
  * Add patch to fix wiki link in help menu

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:53:19 +0200

saga (2.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add dh-python to build dependencies.
  * Drop unused UPSTREAM_{URL,VERSION} variables.
  * Add patch to fix spelling errors.
  * Change priority for libsaga from extra to optional.
  * Bump Standards-Version to 4.2.0, changes: priority.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete get-orig-source target.
  * Remove obsolete README.source, repacking documented in copyright file.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian overrides for appstream metadata issues.
  * Add lintian override for python-foo-but-no-python3-foo.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Aug 2018 18:31:14 +0200

saga (2.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix spelling errors.
  * Limit watch file to 2.3.x LTS releases.
  * Add libopencv-dev as preferred dependency for OpenCV 3.1.
    (closes: #841287)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2016 18:40:43 +0100

saga (2.3.1+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark Use-pkg-config-for-Debian-version-of-dxflib.patch as Applied-Upstream.

  [ Johan Van de Wauw ]
  * Make dxflib patch identical to upstream version
  * Add patch to fix projections with gcc 6 (closes: #838915)

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 27 Sep 2016 09:36:27 +0200

saga (2.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Jul 2016 20:01:32 +0200

saga (2.3.1+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Files-Excluded for GPL-3+ files moved to other paths.
  * Update patches, changes:
    - Rename Use-debian-version-dxflib.patch to reflect content changes
    - Drop spelling-errors.patch, fixed upstream
    - Mark Use-debian-version-of-libsvm.patch as Forwarded: not-needed
    - Rename disable-cluster_isodata.patch to disable-imagery_isocluster.patch,
      the entire subdirectory is now excluded, not only cluster_isodata.cpp.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jul 2016 19:14:19 +0200

saga (2.3.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New repacked upstream release.
  * Also exclude GPL-3+ licensed files from repacked upstream tarballs.
  * Add patch to disable use of cluster_isodata.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Jul 2016 23:12:23 +0200

saga (2.3.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied upstream, refresh remaining patches.
  * Add --with-system-dxflib to configure options.
  * Add patch to fix spelling errors.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jul 2016 23:25:12 +0200

saga (2.2.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with GDAL 2.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 16:27:02 +0200

saga (2.2.7+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.2.7
    - Removed JasPer support. (closes: #818218)

  [ Bas Couwenberg ]
  * Update watch file to handle common issues.
  * Update version for virtual package.
  * Update copyright file, changes:
    - Separate copyright years and holders with a comma
    - Files on separate lines
  * Use desktop file in favor of menu file per CTTE #741573.
  * Install application icon in hicolor theme.
  * Override dh_install to use --list-missing.
  * Remove executable bit from saga_gui resource files.
  * Move architecture independent files to saga-common package.
  * Explicitly remove files not to be installed.
  * Enable all hardening buildflags.
  * Add templates target to update the version in package control files.
  * Strip trailing whitespace.

  [ Johan Van de Wauw ]
  * Split libsaga library

  [ Bas Couwenberg ]
  * Use minus sign instead underscore in package names.

  [ Johan Van de Wauw ]
  * Add transitional libsaga package
  * Use debian version of libdxf
  * Edit short description of saga_gdi lib
  * Bump version in install/control/override files
  * Remove obsolete Breaks/Replace
  * Add misc depends to libsaga
  * Document license for cluster_isodata

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license paragraph for BSD-2-clause & GPL-3+
    - Reorder Files sections for imagery subdirectories
  * Add lintian override for no-symbols-control-file.
  * Also install 22x22 icon in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes: application icons.
  * Drop saga-depends executable, obsolete. Library package names match
    the SONAME which includes the upstream version.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 May 2016 14:47:29 +0200

saga (2.2.4+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patch for various typos.

  [ Johan Van de Wauw ]
  * Only remove libfire files, not the whole module
  * Imported Upstream version 2.2.4+dfsg
  * Remove unneeded patches (applied/integrated upstream)
  * Bump years in copyright file

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 25 Feb 2016 22:48:11 +0100

saga (2.2.3+dfsg-1) unstable; urgency=medium

  * Fix files-excluded path
  * Imported Upstream version 2.2.3+dfsg (closes: #808248)
  * Refresh patches
  * No longer install menu file
  * Don't install projection definitions twice
  * Update saga-depends

 -- Johan Van de Wauw <johan@vandewauw.be>  Mon, 04 Jan 2016 20:58:20 +0100

saga (2.2.2-1) unstable; urgency=medium

  * Point to right branch for vcs-git
  * Update watchfile to find also versions separated by -
  * Imported Upstream version 2.2.2
  * Install more shared files

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 27 Oct 2015 15:52:10 +0100

saga (2.2.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.2.1+dfsg
  * Refresh patches
  * Add additional copyright holder

 -- Johan Van de Wauw <johan@vandewauw.be>  Thu, 24 Sep 2015 18:23:44 +0200

saga (2.2.0+dfsg-2) unstable; urgency=medium

  * Fix opencv module
  * Update my emailaddress

 -- Johan Van de Wauw <johan@vandewauw.be>  Tue, 15 Sep 2015 22:59:50 +0200

saga (2.2.0+dfsg-1) unstable; urgency=medium

  [ Johan Van de Wauw ]
  * Enable parallel building
  * Add patch to work with recent versions of libvigraimpex
    Patch provided by Adam Conrad (closes: #792696)

  [ Bas Couwenberg ]
  * Add repacksuffix in watch file to use +dfsg in version.
  * Remove trailing space after . control statement.

  [ Johan Van de Wauw ]
  * Fix manpages build
  * Remove B/D on liblas
  * Imported Upstream version 2.2.0+dfsg
  * Fix manfile generation once more
  * Add opencv module

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Add differently licensed files
    - Change Boost license to SPDX compatible BSL-1.0 shortname
    - Correct dxflib license to GPL-2 or dxf-Commercial
    - Align copyrght holders
    - Remove trailing whitespace
  * Add build dependencies for missing headers:
    - libcv-dev             opencv/cv.h
    - libopencv-photo-dev   opencv2/photo/photo.hpp
    - libopencv-contrib-dev opencv2/contrib/contrib.hpp

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 17 Jul 2015 18:07:41 +0200

saga (2.1.4+dfsg-1) unstable; urgency=medium

  * Update to new upstream version
  * Fix order in copyright file

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Mon, 24 Nov 2014 22:07:13 +0100

saga (2.1.2+dfsg-3) unstable; urgency=medium

  * Use dep-5 style copyright file
  * Enable OpenMP
  * Revert "Temporarily disable building saga gui on arm" - bug resolved in gcc
  * Fix provides tag

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 09 Oct 2014 21:09:35 +0200

saga (2.1.2+dfsg-2) unstable; urgency=medium

  * Remove unneeded configure option
  * Fix wrong version number in saga-depends
  * Temporarily disable building saga gui on arm (closes: #755361)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 12 Aug 2014 18:48:40 +0200

saga (2.1.2+dfsg-1) unstable; urgency=medium

  * Import new upstream (closes: #717624)
  * Fix patches - remove autoreconf results - rename configure.in
  * Remove changes to Makefile.am (autoreconf)
  * Remove patch (included upstream)
  * Delete missing icons from menu fil
  * Bump standards version - no changes needed

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 15 Jul 2014 04:38:14 -0400

saga (2.1.0+dfsg-1) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Update to new upstream version.
  * Uses wxwidgets 3.0 instead of 2.8

  [ Francesco Paolo Lovergine ]
  * Tagged for sid.
  * Changed path to relative ones in *.install file for dh_install.
  * Truly annotate the previous fix.
    (closes: #715109)

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 14 Nov 2013 21:16:53 -0500

saga (2.0.8+dfsg-4) unstable; urgency=low

  * Correct saga-depends
  * Add Missing Depends to libsaga-dev. Fixes #715109

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 17 Jul 2013 13:58:31 -0400

saga (2.0.8+dfsg-3) unstable; urgency=low

  * Removed libvigraimpex-dev b-d.
    (closes: #669468)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jun 2012 14:28:12 +0200

saga (2.0.8+dfsg-2) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Run autoreconf after last grib2 fix + more logical patches.

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.9.3, no changes required.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 28 Feb 2012 23:46:51 +0100

saga (2.0.8+dfsg-1) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Fixed python support in debian/rules for dh call.
    (closes: #642566)
  * Fixed a bit of mess in patchset and upstream on git repo.

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.0.8

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Feb 2012 19:43:29 +0100

saga (2.0.7+dfsg-2) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Added missing ${python:Depends} in python-saga and remove autodetection
    of python versions. Thanks Jakub Wilk.
    (closes: #642566)

  [ Johan Van de Wauw ]
  * Install man-files correctly.
  * Add python-saga to the right section.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Sep 2011 15:27:31 +0200

saga (2.0.7+dfsg-1) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Imported Upstream version 2.0.7
  * Delete .svn files prior when creating dfsg-free tarball
  * Fix gcc 4.6 build issues
  * Use debian version of grib2
  * Bump standards version
  * Enable building of python plugin
  * Add support for opening *.las files
  * Adjust grid_gridding to use qhull

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Tue, 30 Aug 2011 15:39:35 -0400

saga (2.0.6+dfsg-0) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Update to 2.0.6
  * Add libvigra-impex-dev - enables extra modules
  * Add break/replace to avoid apt problems
  * Revert to the right descriptions in debian/control
  * Update saga_depends to 2.0.6
  * Switch build system from cdbs to dh7
  * Add patch from autoreconf result

  [ Francesco Paolo Lovergine ]
  * Dropped obsolete pre-squeeze proj alternative build-dep.
  * Policy bumped to current 3.9.2, without changes.
  * Dropped cdbs dependency, now using debhelper dh_* rules.
  * Using source 3.0 format with quilt support.
  * Debhelper level set to 8.
  * Some packaging changes.
  * Added missing changelog note.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Jun 2011 17:16:33 +0200

saga (2.0.5+dfsg-0) unstable; urgency=low

  * Update to 2.0.5

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 29 Sep 2010 14:23:48 +0200

saga (2.0.4+dfsg-3) unstable; urgency=low

  * Update build-depends to enable backport to lenny
  * Move unversioned libraries to -dev package
  * Fix module description html generation
  * Bump standards version to 3.9.0, no changes required

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Thu, 22 Jul 2010 13:27:01 +0200

saga (2.0.4+dfsg-2) unstable; urgency=low

  [ Johan Van de Wauw ]
  * Fix program description (closes: #578419)
  * Fix bug: deep map window zoom freezes SAGA
  * Fix Esri E00 import
  * Fix bug: printf() crashes

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 10 May 2010 16:00:39 +0200

saga (2.0.4+dfsg-1) unstable; urgency=low

  * Initial release, with copyright fixes and non-free removals.
    (closes: #570014)

  [ Johan Van de Wauw ]
  * Initial import debian files
  * Fix tip of the day
  * Add saga_gdi to lib instead of pkglib (fixes errors when running
    saga_cmd)
  * Fix upstream bug 2896803 Grid to shapefile
  * Update manfile (multiple files example)
  * Remove unneccesary CVS files
  * Add libsaga_gdi.so to /usr/lib instead of /usr/lib/saga
  * Use grib2 in debian instead of static linked version
  * Separate saga-dev package
  * Fix sonumbers for saga_api.so and saga_gdi
  * Remove non-free components (in grid_gridding and fire_simulation)

  [ Francesco Paolo Lovergine ]
  * Maintainer set to DebianGis team, with git maintenance.
  * Added Johan and me as uploaders.
  * Set Vcs-* fields.
  * Long description revised.
  * Set libproj-dev build-dep.
  * Moved to Debhelper level 7.
  * Minor layout changes to debian/control to respect 80 cols width.
  * Debian revision reset to 2.0.4-1.
  * Apps -> Applications in debian/menu.
  * Now libtool helper files .la are not installed.
  * Added ITP bug number.
  * Added a templated debhelper saga-depends little script to provide required
    substvars for third-parties packages.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 25 Mar 2010 13:22:43 +0100
